Subject: bug#39607: closed (Re: bug#39607: GRUB module all_video required to get video on 4K monitor)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 18 Mar 2020 03:33:02 +0000

Your bug report

#39607: Make use of GRUB all_video module

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
39607: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=39607
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#39607: GRUB module all_video required to get video on 4K monitor
From: Maxim Cournoyer <[email-masked]>
To: [email-masked]
Date: Tue, 17 Mar 2020 23:31:53 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Maxim Cournoyer <[email-masked]> writes:

> Hello,
>
> Maxim Cournoyer <[email-masked]> writes:
>
>> Hello,
>>
>> I installed Guix System on a new machine, which displays on a 4K (3840 x
>> 2160 pixels) monitor.
>>
>> Unless I go to the GRUB command prompt with 'c' at boot and type 'insmod
>> all_video', the video cuts early after booting a GRUB entry with 'No
>> suitable video mode found', or similar.
>>
>> I think we should include this GRUB module in our default GRUB
>> package/configuration.
>>
>> Maxim
>
> I think the attached patches fixes this issue, and makes the
> GRUB configuration a bit simpler too!

Merge to master with commit 6794653e1b.  Closing!

Subject: GRUB module all_video required to get video on 4K monitor
From: Maxim Cournoyer <[email-masked]>
To: bug-guix <[email-masked]>
Date: Fri, 14 Feb 2020 14:30:14 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

I installed Guix System on a new machine, which displays on a 4K (3840 x
2160 pixels) monitor.

Unless I go to the GRUB command prompt with 'c' at boot and type 'insmod
all_video', the video cuts early after booting a GRUB entry with 'No
suitable video mode found', or similar.

I think we should include this GRUB module in our default GRUB
package/configuration.

Maxim